include::../rule.adoc[]

=== Exceptions

The rule ignores anonymous functions containing a single statement.

[source,php]
----
$max_comparator = function ($v) { return $v > 2; };           // Compliant by exception
$max_comparator = function ($v) { echo $v; return $v > 2; };  // Noncompliant
----

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

include::../highlighting.adoc[]

'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
